/*
Usage example:
	Fstr *f;
	f = fstr_new(10000);
	fstr_add(f,"stuff",5);
	printf("Data is %s\n",f->data);
	fstr_free(f);
*/
typedef struct  FSTR {
	int len, total;
	char *data;
} Fstr;


Fstr *fstr_new(int sz);
void fstr_add(Fstr *f, char *s, int len);
char * fstr_s(Fstr *f);
void fstr_free(Fstr *f);
int fstr_len(Fstr *f);
void fstr_clear(Fstr *f);
